Page MenuHomePhabricator

Update exchange rates before Latin America Pre-test
Closed, ResolvedPublic1 Estimated Story Points

Description

Since a few of the Latin American currencies are particularly volatile, it would be good to get as current as possible rates if possible.

An update a few days before March 9th Pre-test and a few days before banners launch May 3 would be ideal, giving us time to update the error messages to match.

Event Timeline

HNordeenWMF added subscribers: Cstone, Pcoombe, spatton.
DStrine renamed this task from Update exchange rates before Latin America Pre-test & Launch to Update exchange rates before Latin America Pre-test .Mar 2 2021, 8:41 PM
DStrine triaged this task as High priority.Mar 2 2021, 9:28 PM
HNordeenWMF changed Due Date from Mar 5 2021, 7:00 AM to Mar 4 2021, 7:00 AM.Mar 3 2021, 8:04 PM
DStrine raised the priority of this task from High to Unbreak Now!.Mar 8 2021, 5:56 PM

Change 669955 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[wikimedia/fundraising/SmashPig@master] Update CurrencyRates.php March 2021

https://gerrit.wikimedia.org/r/669955

Change 669955 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Update CurrencyRates.php March 2021

https://gerrit.wikimedia.org/r/669955

Change 670158 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/vendor@fundraising/REL1_35] Update smashpig to 0.6.8

https://gerrit.wikimedia.org/r/670158

Change 670160 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/core@fundraising/REL1_35] Update vendor package: - Smashpig v0.6.7 => v0.6.8

https://gerrit.wikimedia.org/r/670160

Change 670158 merged by jenkins-bot:
[mediawiki/vendor@fundraising/REL1_35] Update smashpig to 0.6.8

https://gerrit.wikimedia.org/r/670158

Change 670160 merged by jenkins-bot:
[mediawiki/core@fundraising/REL1_35] Update vendor package: - Smashpig v0.6.7 => v0.6.8

https://gerrit.wikimedia.org/r/670160

Hey everyone if this task is still open to contribute i would love to join.

DStrine closed this task as Resolved.EditedMar 12 2021, 7:57 PM
DStrine added a subscriber: DStrine.

@Imacchiavello hi! This task is actually closed at this point. This is specific to the fundraising tech stack and only these engineers are allowed to work on it due to payments security. Our public chat channel is on IRC "wikimedia-fundraising" we are open to discuss some of our payments systems and other open source projects like CantralNotice.